VirtualBox

Ticket #8649 (new enhancement)

Opened 3 years ago

Last modified 2 years ago

[feature-request] VBox Windows Installer should check for python version

Reported by: Technologov Owned by:
Priority: major Component: installer
Version: VirtualBox 4.0.4 Keywords:
Cc: Guest type: other
Host type: Windows

Description

Host: Windows (all), VBox 4.0.4

VBox currently installs python bindings even on buggy python modules. (python 2.5.1 and pywin32 v213)

  1. in "vboxshell.py" terminal colors on Windows Vista/7 must be disabled by default, and it is a known python bug, checking for python version fixes garbage on those platforms
  1. We must check for pywin32 version. v213 is known to be broken. This fixes VBox bug #8605

We should refuse to install python bindings (gray out this option, or gives warning message), if python modules are old.

-Technologov, 29.3.2011.

Change History

comment:1 Changed 2 years ago by Technologov

Nevermind. It is probably not possible to test all python packages for small bugs on all platforms. Probably just need to document those issues on forum.

Please close as WONTFIX.

-Technologov

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use